#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include "urlencodedbodymodel.h"
#include <QQmlContext>
#include <QQuickWidget>
#include "mycontainer.h"
int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    UrlencodedBodyModel *urlencodedBodyModel = new UrlencodedBodyModel();
    MyContainer * myContainer = new MyContainer();
    engine.rootContext()->setContextProperty("urlencodedBodyModel", urlencodedBodyModel);
    engine.rootContext()->setContextProperty("myContainer", myContainer);
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}
