#ifndef MYCONTAINER_H
#define MYCONTAINER_H

#include <QObject>
class MyContainer : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString bodyText READ getBodyText WRITE setBodyText NOTIFY bodyTextChanged)
public:    
    MyContainer();
    QString getBodyText() const;
public Q_SLOTS:
    void setBodyText(const QString &arg);
Q_SIGNALS:
    void bodyTextChanged();
private:
    QString _bodyText;
};

#endif // MYCONTAINER_H
